#include "internaltests.h"
#include <string.h>

extern int fft_test(int argc, char **argv);
extern int fft_fixed_test(int argc, char **argv);
extern int dct_test(int argc, char **argv);

int handle_internaltests(int argc,char **argv,int* pRetVal)
{
    if(argc>2 && strcmp(argv[1], "-T")==0)
    {
        if (stricmp(argv[2],"FFT_TEST")==0)
        {
            *pRetVal = fft_test(argc-2,argv+2);
            return 1;
        }
        else if (stricmp(argv[2],"FFTFIXED_TEST")==0)
        {
            *pRetVal = fft_fixed_test(argc-2,argv+2);
            return 1;
        }
        else if (stricmp(argv[2],"DCT_TEST")==0)
        {
            *pRetVal = dct_test(argc-2,argv+2);
            return 1;
        }
    }

    return 0;
}